<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGoodsItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('goods_items', function (Blueprint $table) {
            $table->id();
            $table->integer('item_id')->unique();
            $table->string('brand')->default('')->comment('品牌');
            $table->string('color_name')->default('')->comment('颜色');
            $table->text('sell_point')->comment('卖点');
            $table->string('specifications')->comment('规格');
            $table->string('shop_url')->comment('链接');
            $table->string('product_images')->default('')->comment('商品主图');
            $table->text('images')->comment('主图列表');
            $table->text('product_infos')->comment('图文信息');
            $table->text('app_introduce')->comment('app图文信息');
            $table->text('applet_introduce')->comment('详情图片地址');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('goods_items');
    }
}
